﻿@model CocktailMagician.Web.Areas.Admin.Models.AllUsersViewModel

@{
	ViewData["Title"] = "Index";
	Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1 align="center">Users</h1>

<table class="table">
	<thead>
		<tr>
			<th>
				Username
			</th>
			<th>
				Role
			</th>
			<th>

			</th>
		</tr>
	</thead>
	<tbody>
		@foreach (var user in Model.AllUsers)
		{
			<tr>
				<td>
					@Html.DisplayFor(modelItem => user.Name)
				</td>
				<td>
					@if (user.IsAdmin)
					{
						<p>
							Admin
						</p>
					}
					else
					{
						<p>
							Member
						</p>
					}
				</td>
				<td>
					@if (!user.IsAdmin)
                    {
						<a asp-action="Ban" asp-route-id="@user.Id" role="button" class="btn btn-outline-danger">Ban User</a>
                    }
				</td>
			</tr>
		}
	</tbody>
</table>

<h1 align="center">
	Banned users
</h1>

<table class="table">
	<thead>
		<tr>
			<th>
				Username
			</th>
			<th>
				Banned until
			</th>
			<th>

			</th>
		</tr>
	</thead>
	<tbody>
		@foreach (var user in Model.BannedUsers)
		{
			<tr>
				<td>
					@Html.DisplayFor(modelItem => user.Name)
				</td>
				<td>
					@user.BannedUntil.Value.DateTime.ToShortDateString()
				</td>
				<td>
					<form asp-action="UnBan">
							<input type="hidden" name="@nameof(user.Id)" value="@user.Id" />
							<input type="submit" value="Unban" class="btn btn-outline-danger" />					
					</form>
				</td>
			</tr>
		}
	</tbody>
</table>